2021-12-08 18:55 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002546FSSCPgraphicspublic2021-01-09 04:59
ReporterFUBAR-BDHR 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionsuspended 
Product Version3.6.13 
Target VersionFixed in Version 
Summary0002546: Sun flares aren't properly blocked by cockpit models
DescriptionBasically sun flares come right though the cockpit even if the cockpit is solid. It is most noticeable if the cockpit has subobjects which don't seem to block flares at all. If condensed into 1 detail0 object it will block them most of the time but they still leak through at times especially when close to the edge of the model.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0013182

Valathil (developer)

The cockpit model in question would help alot in debugging this, cause i dont have a cockpit model with submodels. Also things shining through at the edges is 100% the shitty collision code which i cant fix. Workaround is to make patch polies.

~0014136

Valathil (developer)

Still waiting for that cockpit.

~0014137

FUBAR-BDHR (developer)

You'll need to talk to someone on Diaspora. I no longer have access to those assets.

~0014143

The_E (administrator)

If this is the same issue that was entered in the Diaspora Mantis, then I believe it is fixed. The issue there was that flares (and stars, for that matter) were shining through the DRADIS displays in the cockpit (Especially noticeable in the Raptor model). This was caused by some behaviour in the HUD's render to target code, where transparency was added when the base texture used had an alpha channel; this was fixed in the final Diaspora release by adjusting the textures.

~0014144

FUBAR-BDHR (developer)

No different issue. This is where stars shine through the actual cockpit model. This was especially noticeable around the edges of the fuel tanks on the 7e.

~0017059

MjnMixael (manager)

Migrated to GitHub
+Notes

-Issue History
Date Modified Username Field Change
2011-11-29 05:02 FUBAR-BDHR New Issue
2012-01-28 14:34 Valathil Note Added: 0013182
2012-01-28 14:34 Valathil Assigned To => Valathil
2012-01-28 14:34 Valathil Status new => assigned
2012-11-20 18:23 Valathil Note Added: 0014136
2012-11-20 18:23 Valathil Status assigned => feedback
2012-11-20 20:33 FUBAR-BDHR Note Added: 0014137
2012-11-20 20:33 FUBAR-BDHR Status feedback => assigned
2012-11-21 02:40 The_E Note Added: 0014143
2012-11-21 11:46 FUBAR-BDHR Note Added: 0014144
2021-01-09 04:59 MjnMixael Assigned To Valathil =>
2021-01-09 04:59 MjnMixael Status assigned => closed
2021-01-09 04:59 MjnMixael Resolution open => suspended
2021-01-09 04:59 MjnMixael Note Added: 0017059
+Issue History